Subject: bug#6977: 24.0.50; Hard crash when inserting org-mode dates

From: Stephen Berman <[email-masked]>
Date: Fri, 03 Sep 2010 16:09:59 +0200

On Fri, 3 Sep 2010 10:58:13 +0100 Steve Purcell <[email-masked]> wrote:

> Start emacs -Q, then flip *scratch* into org-mode: "M-x org-mode"
>
> Insert a date (C-c .). Click on the > in the modeline to select a later
> month, and select a date with the mouse. The date will be inserted.
>
> Now press "C-c ." again -- Emacs segfaults.
>
> I'm attaching a Mac crash dump to the bottom of this bug report,
> from an Emacs instance started with -Q.

I can reproduce the crash with this recipe on GNU Emacs 24.0.50.1
(i686-pc-linux-gnu, GTK+ Version 2.18.6) of 2010-09-01 on escher; output
of bt full attached.

Steve Berman